> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Invoice: ResMan

POST https://api.propexo.com/v1/invoices/resman/
Content-Type: application/json

Invoices created via the ResMan API begin in an unapproved state and then have to be approved by the PMC in the ResMan portal.| Interface        | Method                        |
| ---------------- | ----------------------------- |
| Accounts Payable | /MITS/PostAccountsPayable4\_0 |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/resman/invoices/create-invoice-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_invoices_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `invoice_number` (string, required) — The invoice or reference number that the vendor assigned to the service request
- `invoice_date` (V1InvoicesResmanPostInputInvoiceDate, required) — The date of issuance for the invoice
- `due_date` (V1InvoicesResmanPostInputDueDate, required) — The due date associated with the invoice
- `notes` (string, required) — Notes associated with the invoice
- `memo` (string, required) — Memo of the invoice
- `total_amount_in_cents` (integer, required) — The amount of the invoice, in cents
- `invoice_items` (list of V1InvoicesResmanPostInputInvoiceItemsItems, required)
- `accounting_date` (V1InvoicesResmanPostInputAccountingDate, optional) — The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

## Response

### 200

Successful response

- `meta` (V1InvoicesResmanPostOutputMeta, required)
- `result` (V1InvoicesResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1InvoicesResmanPostInputInvoiceDate

The date of issuance for the invoice

### V1InvoicesResmanPostInputDueDate

The due date associated with the invoice

### V1InvoicesResmanPostInputInvoiceItemsItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
- `quantity_ordered` (integer, required) — The quantity ordered for the invoice
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the invoice
- `notes` (string, required) — Notes associated with the invoice item

### V1InvoicesResmanPostInputAccountingDate

The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

### V1InvoicesResmanPostOutputMeta

- `job_id` (string, required)

### V1InvoicesResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `invoice_number` (string, required) — The invoice or reference number that the vendor assigned to the service request
- `invoice_date` (V1InvoicesResmanPostOutputResultInvoiceDate, required, nullable)
- `accounting_date` (V1InvoicesResmanPostOutputResultAccountingDate, required, nullable) — The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.
- `due_date` (V1InvoicesResmanPostOutputResultDueDate, required, nullable)
- `notes` (string, required) — Notes associated with the invoice
- `memo` (string, required) — Memo of the invoice
- `total_amount_in_cents` (integer, required) — The amount of the invoice, in cents
- `invoice_items` (list of V1InvoicesResmanPostOutputResultInvoiceItemsItems, required)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1InvoicesResmanPostOutputResultInvoiceDate

### V1InvoicesResmanPostOutputResultAccountingDate

The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

### V1InvoicesResmanPostOutputResultDueDate

### V1InvoicesResmanPostOutputResultInvoiceItemsItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
- `quantity_ordered` (integer, required) — The quantity ordered for the invoice
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the invoice
- `notes` (string, required) — Notes associated with the invoice item

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "vendor_id": "vend-0987654321fedcba",
  "invoice_number": "INV-20240115-001",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "notes": "Monthly landscaping services for January 2024",
  "memo": "Approved by property manager on 2024-01-16",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    {
      "financial_account_id": "finacct-1122334455667788",
      "quantity_ordered": 1,
      "unit_price_in_cents": 125000,
      "notes": "Landscaping maintenance service fee"
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-abcdef1234567890"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "vendor_id": "vend-0987654321fedcba",
    "invoice_number": "INV-20240115-001",
    "invoice_date": "2024-01-15T09:30:00Z",
    "accounting_date": "2024-01-15T09:30:00Z",
    "due_date": "2024-02-14T23:59:59Z",
    "notes": "Monthly landscaping services for January 2024",
    "memo": "Approved by property manager on 2024-01-16",
    "total_amount_in_cents": 125000,
    "invoice_items": [
      {
        "financial_account_id": "finacct-1122334455667788",
        "quantity_ordered": 1,
        "unit_price_in_cents": 125000,
        "notes": "Landscaping maintenance service fee"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/invoices/resman/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "vendor_id": "vend-0987654321fedcba",
    "invoice_number": "INV-20240115-001",
    "invoice_date": "2024-01-15T09:30:00Z",
    "due_date": "2024-02-14T23:59:59Z",
    "notes": "Monthly landscaping services for January 2024",
    "memo": "Approved by property manager on 2024-01-16",
    "total_amount_in_cents": 125000,
    "invoice_items": [
        {
            "financial_account_id": "finacct-1122334455667788",
            "quantity_ordered": 1,
            "unit_price_in_cents": 125000,
            "notes": "Landscaping maintenance service fee"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/invoices/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-1234567890abcdef","vendor_id":"vend-0987654321fedcba","invoice_number":"INV-20240115-001","invoice_date":"2024-01-15T09:30:00Z","due_date":"2024-02-14T23:59:59Z","notes":"Monthly landscaping services for January 2024","memo":"Approved by property manager on 2024-01-16","total_amount_in_cents":125000,"invoice_items":[{"financial_account_id":"finacct-1122334455667788","quantity_ordered":1,"unit_price_in_cents":125000,"notes":"Landscaping maintenance service fee"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/invoices/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"vendor_id\": \"vend-0987654321fedcba\",\n  \"invoice_number\": \"INV-20240115-001\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"notes\": \"Monthly landscaping services for January 2024\",\n  \"memo\": \"Approved by property manager on 2024-01-16\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"financial_account_id\": \"finacct-1122334455667788\",\n      \"quantity_ordered\": 1,\n      \"unit_price_in_cents\": 125000,\n      \"notes\": \"Landscaping maintenance service fee\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/invoices/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"vendor_id\": \"vend-0987654321fedcba\",\n  \"invoice_number\": \"INV-20240115-001\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"notes\": \"Monthly landscaping services for January 2024\",\n  \"memo\": \"Approved by property manager on 2024-01-16\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"financial_account_id\": \"finacct-1122334455667788\",\n      \"quantity_ordered\": 1,\n      \"unit_price_in_cents\": 125000,\n      \"notes\": \"Landscaping maintenance service fee\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/invoices/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"vendor_id\": \"vend-0987654321fedcba\",\n  \"invoice_number\": \"INV-20240115-001\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"notes\": \"Monthly landscaping services for January 2024\",\n  \"memo\": \"Approved by property manager on 2024-01-16\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"financial_account_id\": \"finacct-1122334455667788\",\n      \"quantity_ordered\": 1,\n      \"unit_price_in_cents\": 125000,\n      \"notes\": \"Landscaping maintenance service fee\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/invoices/resman/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "vendor_id": "vend-0987654321fedcba",
  "invoice_number": "INV-20240115-001",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "notes": "Monthly landscaping services for January 2024",
  "memo": "Approved by property manager on 2024-01-16",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    {
      "financial_account_id": "finacct-1122334455667788",
      "quantity_ordered": 1,
      "unit_price_in_cents": 125000,
      "notes": "Landscaping maintenance service fee"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/invoices/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"vendor_id\": \"vend-0987654321fedcba\",\n  \"invoice_number\": \"INV-20240115-001\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"due_date\": \"2024-02-14T23:59:59Z\",\n  \"notes\": \"Monthly landscaping services for January 2024\",\n  \"memo\": \"Approved by property manager on 2024-01-16\",\n  \"total_amount_in_cents\": 125000,\n  \"invoice_items\": [\n    {\n      \"financial_account_id\": \"finacct-1122334455667788\",\n      \"quantity_ordered\": 1,\n      \"unit_price_in_cents\": 125000,\n      \"notes\": \"Landscaping maintenance service fee\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "vendor_id": "vend-0987654321fedcba",
  "invoice_number": "INV-20240115-001",
  "invoice_date": "2024-01-15T09:30:00Z",
  "due_date": "2024-02-14T23:59:59Z",
  "notes": "Monthly landscaping services for January 2024",
  "memo": "Approved by property manager on 2024-01-16",
  "total_amount_in_cents": 125000,
  "invoice_items": [
    [
      "financial_account_id": "finacct-1122334455667788",
      "quantity_ordered": 1,
      "unit_price_in_cents": 125000,
      "notes": "Landscaping maintenance service fee"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/invoices/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```